Get Resource Type Using GET
Returns resource type details
Request
URI
GET
https://{api_host}/blueprint/api/resource-types/{resourceTypeId}
COPY
Path Parameters
string
resourceTypeId
Required
resourceTypeId
Query Parameters
string
apiVersion
Optional
The version of the API in yyyy-MM-dd format (UTC). For versioning information please refer to /blueprint/api/about
Responses
200
OK
Returns
ResourceType
of type(s)
application/json
{
"createdAt": "string",
"createdBy": "string",
"description": "string",
"displayName": "string",
"endpointType": "string",
"id": "string",
"name": "string",
"operations": {
"operations": "string"
},
"orgId": "string",
"providerId": "string",
"providerName": "string",
"providerVersion": "string",
"schema": {
"$data": "string",
"$dynamicDefault": "string",
"$ref": "string",
"additionalProperties": false,
"allOf": [
"PropertyDefinition Object"
],
"anyOf": [
"PropertyDefinition Object"
],
"computed": false,
"const": {},
"default": {},
"dependencies": {
"dependencies": [
"string"
]
},
"description": "string",
"encrypted": false,
"enum": [
{}
],
"format": "string",
"ignoreCaseOnDiff": false,
"ignoreOnUpdate": false,
"items": "PropertyDefinition Object",
"maxItems": 0,
"maxLength": 0,
"maxProperties": 0,
"maximum": 0,
"metadata": {
"metadata": {}
},
"minItems": 0,
"minLength": 0,
"minProperties": 0,
"minimum": 0,
"not": "PropertyDefinition Object",
"oneOf": [
"PropertyDefinition Object"
],
"pattern": "string",
"properties": {
"properties": "PropertyDefinition Object"
},
"recreateOnUpdate": false,
"required": [
"string"
],
"title": "string",
"type": "string",
"uniqueItems": false,
"writeOnly": false
},
"updatedAt": "string",
"updatedBy": "string"
}
string As date-time
As date-time
createdAt
Optional
Created time
string
createdBy
Optional
Created by
string
description
Optional
Resource type description
string
displayName
Optional
Resource type display name
string
endpointType
Optional
Endpoint type
string
id
Optional
Object ID
string
name
Optional
Resource type name
object
operations
Optional
Provider resource operations
string
orgId
Optional
Org ID
string
providerId
Optional
Provider Id
string
providerName
Optional
Provider name
string
providerVersion
Optional
Provider version
object
schema
Optional
schema
string As date-time
As date-time
updatedAt
Optional
Updated time
string
updatedBy
Optional
Updated by
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
404
Not Found
Operation doesn't return any data structure
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/blueprint/api/resource-types/{resourceTypeId}
On This Page
Resource Types Operations
GET
List Resource Types Using GET
GET
Get Resource Type Using GET